Bug 249360

Summary: net/shadowsocks-libev: update to 3.3.5
Product: Ports & Packages Reporter: xiaoding+freebsd
Component: Individual Port(s)Assignee: Danilo G. Baio <dbaio>
Status: Closed FIXED    
Severity: Affects Some People CC: daniel.engberg.lists, dbaio, delphij
Priority: --- Keywords: buildisok
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
upgrade to v3.3.5 none

Description xiaoding+freebsd 2020-09-16 05:46:12 UTC
Created attachment 217995 [details]
upgrade to v3.3.5

The port net/shadowsocks-libev failed to build on FreeBSD-CURRENT. A global object was defined in both tls.h and http.h, which was included twice and caused a name conflict in linking time.

In v3.3.5 the tls.h and http.h header were removed and succeeded to compile on FreeBSD-CURRENT.

This patch upgrade the port to v3.3.5 and helps solve the problem.
Comment 1 Automation User 2020-09-16 06:21:30 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/190479892
Comment 2 daniel.engberg.lists 2020-09-17 05:19:43 UTC
Can we use upstream release archive instead?
https://github.com/shadowsocks/shadowsocks-libev/releases/tag/v3.3.5
Comment 3 xiaoding+freebsd 2020-09-17 07:31:08 UTC
(In reply to daniel.engberg.lists from comment #2)
We are always tracking upstream release in priority over a specific commit. For example, this time we upgrade from v3.3.2 to v3.3.5.

However, the upstream does not appear to publish release at a steady pace. The release v3.3.2 to v3.3.4 all failed to build on FreeBSD-CURRENT, while the master branch succeeded to build. Before this patch there is no release tag available. v3.3.5 was created after a request.

There are two reasons to keep current way:
1) The fetching method works well.
2) Checking out from GitHub repo is a more flexible way if we cannot expect a release, we can check out from commit id instead.
Comment 4 commit-hook freebsd_committer 2020-09-19 15:39:39 UTC
A commit references this bug:

Author: dbaio
Date: Sat Sep 19 15:38:55 UTC 2020
New revision: 549030
URL: https://svnweb.freebsd.org/changeset/ports/549030

Log:
  net/shadowsocks-libev: Update to 3.3.5

  PR:		249360
  Submitted by:	xiaoding+freebsd@xiaoding.org (maintainer)
  Event:		September 2020 Bugathon

Changes:
  head/net/shadowsocks-libev/Makefile
  head/net/shadowsocks-libev/distinfo
Comment 5 Danilo G. Baio freebsd_committer 2020-09-19 15:40:07 UTC
Committed, thanks!